D-Bus 1.13.18

Data Fields
DBusRealHashIter Struct Reference
D-Bus secret internal implementation details » Hash table implementation details

Internals of DBusHashIter. More...

## Data Fields
DBusHashTable * | table
| Pointer to table containing entry.
DBusHashEntry ** | bucket
| Pointer to bucket that points to first entry in this entry's chain: used for deleting the entry.
DBusHashEntry * | entry
| Current hash entry.
DBusHashEntry * | next_entry
| Next entry to be iterated onto in current bucket.
int | next_bucket
| index of next bucket
int | n_entries_on_init
| used to detect table resize since initialization

## Detailed Description

Internals of DBusHashIter.

Definition at line 218 of file dbus-hash.c.

The documentation for this struct was generated from the following file:

- dbus-hash.c